package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.common.enums.UserLockFlag;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.base.page.QueryInfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 15:26
 */
@ApiModel(value = "TeacherSearch", description = "老师管理查询")
public class TeacherSearch extends QueryInfo{
    @ApiModelProperty(value = "老师编号/昵称/电话")
    private String search;
    @ApiModelProperty(value = "老师类型 TOURIST 游客 ENTRY 认证老师 MUSICIAN 平台音乐人")
    private String teacherType;
    
    @ApiModelProperty(value = "徽章（STYLE-个人风采  LIVE-直播  VIDEO-视频课  MUSIC-曲谱）")
    private String tag;

    @ApiModelProperty(value = "0-正常， 1-锁定")
    private UserLockFlag lockFlag;
    
    private YesOrNoEnum delFlag;
    
    @ApiModelProperty(value = "是否会员(0-否 1-是)")
    private Integer isVip;
    
    @ApiModelProperty("用户状态")
    private String userStatus;
    
    @ApiModelProperty("声部编号")
    private Long subjectId;
	
    @ApiModelProperty("是否结算")
	private Boolean isSettlement;
	
    @ApiModelProperty("是否测试用户")
	private Boolean isTestUser;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getTeacherType() {
        return teacherType;
    }

    public void setTeacherType(String teacherType) {
        this.teacherType = teacherType;
    }

	public String getTag() {
		return tag;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

    public UserLockFlag getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(UserLockFlag lockFlag) {
        this.lockFlag = lockFlag;
    }

    public Integer getIsVip() {
		return isVip;
	}

	public void setIsVip(Integer isVip) {
		this.isVip = isVip;
	}

	public String getUserStatus() {
		return userStatus;
	}

	public void setUserStatus(String userStatus) {
		this.userStatus = userStatus;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public Long getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Long subjectId) {
		this.subjectId = subjectId;
	}

	public Boolean getIsSettlement() {
		return isSettlement;
	}

	public void setIsSettlement(Boolean isSettlement) {
		this.isSettlement = isSettlement;
	}

	public Boolean getIsTestUser() {
		return isTestUser;
	}

	public void setIsTestUser(Boolean isTestUser) {
		this.isTestUser = isTestUser;
	}
}
